Mantis Bugtracker

Viewing Issue Advanced Details Jump to Notes ] View Simple ] Print ]
ID Category Severity Date Submitted Last Update
0009886 [WARP Appliance] misc low 2011-11-17 14:38 2013-03-19 11:20
Reporter mrecoskie View Status public  
Assigned To
Priority Scheduled Resolution pv pass Platform
Status closed   OS
Projection none   OS Version
Fixed in Version 3.0.2 Product Version trunk
  Target Version 3.0.2 Product Build
Summary 0009886: Create a script to tell if booted off nand or sd
Description Right now this information is available through 'cat /proc/cmdline'. We should wrapper this into a "warp-*" script.
Steps To Reproduce
Additional Information
Tags BLANK
Reported by Customer No
Type Feature Request
Attached Files

- Relationships

-  Notes
(0044526)
mrecoskie (administrator)
2011-12-12 14:52

The cmdline output is not completely obvious when running from NAND unless you are familar with the fact that NAND is ubi based.

root@openwarp:/etc/init.d# cat /proc/cmdline
ubi.mtd=6 root=ubi0:rootfs rw rootfstype=ubifs rootwait noinitrd panic=1 init=/sbin/preinit ip=192.168.0.1:0.0.0.0:0.0.0.0:255.255.255.0:warp:eth0:off panic=1 console=ttyS0,115200 factory_reset=0
(0044532)
ppastuszak (administrator)
2011-12-12 17:03

added this feature to warp-bootmode

when it enter the user will see:

Bootmode: NAND <- Which mode is set to boot into
Boot type: SD-Card <- Which mode it boot from.
(0044542)
ppastuszak (administrator)
2011-12-13 13:55

added this command to be part of warp-bootmode
(0044916)
skarow (administrator)
2012-02-07 10:08

The second part of the command is not working correctly. For example

root@openwarp:~# warp-bootmode
Bootmode: SD-Card
Boot type: Unknown ( /dev/mmcblk0p1 )

Also the help menu should explain the difference between what bootmode and Boot Type is.
(0045096)
skarow (administrator)
2012-05-17 13:32

svn revision: 28474 (fixed)

-= Comment =-
This functionality is now correctly supplied by the warp-bootmode command. Help menu has been updated with proper details on what "Boot mode:" and "Boot type:" mean. Proper setting is displayed for "Boot type:" when running from an SD card.

  -= SvnPaths =-
http://svn.pikatech.com/warp/branches/3.0.0/release/build_toolkit/packages/warpbasefiles/source/build/files/usr/bin/warp-bootmode [^]

  -= ViewVC =-

http://viewvc.pikatech.com/view/svn/warp/branches/3.0.0/release/build_toolkit/packages/warpbasefiles/source/build/files/usr/bin/warp-bootmode?r1=28474&r2=28473&pathrev=28474 [^]


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker